/******************************************************************************
*
* (c) Copyright 2009, Freescale Semiconductor
*
***************************************************************************//*!
*
* @file     GFLIB_Sqrt.h
*
* @version  1.0.3.0
*
* @date     May-2-2012
*
* @brief    Header file for #GFLIB_Sqrt function.
*
*******************************************************************************
*
* Function implemented as ANSIC ISO/IEC 9899:1990, C90.
*
******************************************************************************/
#ifndef _GFLIB_SQRT_H
#define _GFLIB_SQRT_H

#ifndef  _MATLAB_BAM_CREATE
#include "SWLIBS_Typedefs.h"
#include "SWLIBS_Defines.h"
#include "SWLIBS_Inlines.h"
#endif
/******************************************************************************
* Defines and macros            (scope: module-local)
******************************************************************************/
/*! Function alias for the #GFLIB_SqrtANSIC function.*/

#define GFLIB_Sqrt(s32In) GFLIB_SqrtANSIC(s32In)

/******************************************************************************
* Typedefs and structures       (scope: module-local)
******************************************************************************/

/******************************************************************************
* Exported Variables
******************************************************************************/

/******************************************************************************
* Exported function prototypes
******************************************************************************/
/*!
* @ingroup GFLIB_GROUP
*/
extern tMclib GFLIB_SqrtANSIC(register tMclib s32In);

/******************************************************************************
* Inline functions
******************************************************************************/

#endif /* _GFLIB_SQRT_H */
